<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:overScrollMode="never"
    android:paddingTop="14dp"
    android:scrollbars="none">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="14dp"
        android:paddingEnd="14dp"
        android:paddingBottom="14dp">

        <View
            android:id="@+id/view_top_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/bg_white_10dp"
            app:layout_constraintBottom_toBottomOf="@+id/introduction_view"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_self_introduction"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/icon_self_introduction"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintTop_toTopOf="@+id/view_top_bg" />

        <TextView
            android:id="@+id/tv_self_introduction_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="2dp"
            android:text="@string/self_introduction_str"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            android:layout_marginStart="14dp"
            android:layout_marginTop="14dp"
            app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
            app:layout_constraintTop_toTopOf="@+id/view_top_bg" />

        <LinearLayout
            android:id="@+id/introduction_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintTop_toBottomOf="@+id/tv_self_introduction_title">

            <TextView
                android:id="@+id/tv_self_introduction"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="12dp"
                android:paddingTop="20dp"
                android:paddingEnd="12dp"
                android:paddingBottom="20dp"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
                app:layout_constraintRight_toRightOf="@+id/view_top_bg"
                app:layout_constraintTop_toBottomOf="@+id/iv_self_introduction"
                tools:text="毕业于中央音乐学员长笛专业，师从央音长笛系曾获2016年锦绣杯长笛大赛冠军自2018年起研究长笛启蒙、考级到专业考试教育总结出一套适合各个阶段需要的教学方式" />

            <com.cooleshow.teacher.widgets.StyleEmptyView
                android:id="@+id/self_introduction_empty"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/dp_11"
                android:visibility="gone"
                app:empty_icon="@mipmap/teacher_introduce_empty_icon"
                app:empty_text="@string/introduction_empty_text"
                app:layout_constraintTop_toBottomOf="@+id/iv_self_introduction"
                app:ope_btn="@string/goto_write"
                tools:visibility="visible" />
        </LinearLayout>

        <View
            android:id="@+id/view_video_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/bg_white_10dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_video_bottom_line"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_top_bg" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_teacher_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/icon_teacher_style"
            app:layout_constraintLeft_toLeftOf="@+id/view_video_bg"
            app:layout_constraintTop_toTopOf="@+id/view_video_bg" />

        <TextView
            android:id="@+id/tv_style_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="2dp"
            android:text="达人风采"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            android:layout_marginStart="14dp"
            android:layout_marginTop="14dp"
            app:layout_constraintLeft_toLeftOf="@+id/view_video_bg"
            app:layout_constraintTop_toTopOf="@+id/view_video_bg" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_marginTop="6dp"
            android:layout_marginEnd="11dp"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_constraintLeft_toLeftOf="@+id/view_video_bg"
            app:layout_constraintRight_toRightOf="@+id/view_video_bg"
            app:layout_constraintTop_toBottomOf="@+id/tv_style_title" />

        <View
            android:id="@+id/view_video_bottom_line"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginTop="19dp"
            app:layout_constraintLeft_toLeftOf="@+id/recyclerView"
            app:layout_constraintTop_toBottomOf="@+id/recyclerView" />

        <View
            android:id="@+id/view_fans_group_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/bg_white_10dp"
            app:layout_constraintBottom_toBottomOf="@+id/view_fans_group_bottom_line"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_video_bg" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_fans_group"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/icon_fans_group"
            app:layout_constraintLeft_toLeftOf="@+id/view_fans_group_bg"
            app:layout_constraintTop_toTopOf="@+id/view_fans_group_bg" />

        <TextView
            android:id="@+id/tv_fans_group_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="2dp"
            android:text="粉丝群"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            android:layout_marginTop="14dp"
            android:layout_marginStart="14dp"
            app:layout_constraintLeft_toLeftOf="@+id/view_fans_group_bg"
            app:layout_constraintTop_toTopOf="@+id/view_fans_group_bg" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView_fans"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:overScrollMode="never"
            android:scrollbars="none"
            android:layout_marginTop="@dimen/dp_8"
            app:layout_constraintLeft_toLeftOf="@+id/view_fans_group_bg"
            app:layout_constraintRight_toRightOf="@+id/view_fans_group_bg"
            app:layout_constraintTop_toBottomOf="@+id/tv_fans_group_title" />

        <View
            android:id="@+id/view_fans_group_bottom_line"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginTop="20dp"
            app:layout_constraintLeft_toLeftOf="@+id/recyclerView_fans"
            app:layout_constraintTop_toBottomOf="@+id/recyclerView_fans" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>